#include <engine.h>

int main(void) {
	double tick_time = 0.4;
	ENGINE_STATE_E engine_state = SPLASH_SCREEN;
	SetTraceLogLevel(LOG_ALL);
	LoadPipeline();
	Assets assets = LoadAssets();
	//SetExitKey(KEY_NULL);
	while (!WindowShouldClose()) {
		EngineStateSwitch(engine_state);
		//UpdateInput();
		//ComputeIntent();
		GameLoop(tick_time);
		RenderingDeferred3D(NULL, NULL, NULL, NULL, &assets.fonts);
	}
	UnloadAssets(&assets);
	UnloadPipeline();
	return (0);
}
